# $Revision: 1.64 $, $Date: 2007-12-28 09:18:34 $
Summary:	Framebuffer utilities for changing video modes
Summary(pl.UTF-8):	Narzędzie do zmieniania ustawień framebuffera
Name:		fbset
Version:	2.1
Release:	31
License:	GPL
Group:		Applications/System
Source0:	http://home.tvd.be/cr26864/Linux/fbdev/%{name}-%{version}.tar.gz
# Source0-md5:	e547cfcbb8c1a4f2a6b8ba4acb8b7164
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-fb.modes
Source4:	ftp://platan.vc.cvut.cz/pub/linux/matrox-latest/con2fb.c.gz
# Source4-md5:	10485e073441a83f4ca26d4ccf73ab64
Patch0:		%{name}-fixmode.patch
Patch1:		%{name}-from-kgicon.patch
Patch2:		%{name}-con2fb.patch
URL:		http://members.chello.be/cr26864/Linux/fbdev/
BuildRequires:	bison
BuildRequires:	flex
Requires(post,preun):	/sbin/chkconfig
Requires:	open
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqfiles	/usr/sbin/modeline2fb

%description
fbset is a utility for querying and changing video modes of fbcon
terminals.

Note: modeline2fb script (which translates XFree86 modelines to
fb.modes entries) requires perl.

%description -l pl.UTF-8
fbset jest narzędziem do sprawdzania i zmieniania trybu graficznego na
terminalach fbcon.

Uwaga: skrypt modeline2fb (służący do tłumaczenia modeline'ów XFree86
na wpisy fb.modes) wymaga perla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp %{SOURCE4} .
gunzip con2fb.c.gz
%patch2 -p0
rm -r etc/CVS

%build
%{__make} -j1 \
	CC="%{__cc} %{rpmcflags}"

%{__cc} %{rpmcflags} %{rpmldflags} -o con2fb con2fb.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{5,8}}

install con2fb $RPM_BUILD_ROOT%{_bindir}
install fbset $RPM_BUILD_ROOT%{_bindir}
install modeline2fb $RPM_BUILD_ROOT%{_bindir}
install fb.modes.5 $RPM_BUILD_ROOT%{_mandir}/man5
install fbset.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/fb.modes

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/fbset
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/fbset

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fbset

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del fbset
fi

%files
%defattr(644,root,root,755)
%doc etc/*
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/fbset
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/fbset
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fb.modes
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbset.spec,v $
Revision 1.64  2007-12-28 09:18:34  glen
- rel 31

Revision 1.63  2007-06-04 13:50:18  areq
- add con2fb.patch - #include "fb.h"

Revision 1.62  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.61  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.60  2006/12/07 22:00:10  glen
- rel 30

Revision 1.59  2006/12/07 18:25:05  glen
- rel 29, improved initscript

Revision 1.58  2006/01/18 17:37:17  matowy
- updated URL

Revision 1.57  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.56  2005/01/20 19:33:03  qboosh
- release 28: updated .init to restore last tty instead of switching to tty1

Revision 1.55  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.54  2004/07/23 13:29:32  jajcus
- fbset.init changed to use switchto and redirections instead of open.

Revision 1.53  2004/03/20 06:21:55  witekfl
- added invocation od con2fb in fbset.init
- added 12th terminal in fbset.sysconfig
- rel 26

Revision 1.52  2004/03/01 10:20:05  witekfl
- fixed fbset.init
- rel 25

Revision 1.51  2004/03/01 06:39:58  witekfl
- Fixed Source4's URL.

Revision 1.50  2004/03/01 06:35:28  witekfl
- added con2fb utility and used it in init script
- rel 24

Revision 1.49  2003/12/08 23:18:13  tommat
- stupid me, reverting changes

Revision 1.48  2003/12/08 10:54:54  tommat
- s/bin/sbin/ to be more FHS compatible

Revision 1.47  2003/10/15 09:22:19  leafnode
- removed CVS/ from documentation
- rel++ (to include improved sysconfig file)

Revision 1.46  2003/10/05 23:21:52  blues
- nieużywającym polskich znaczków mówimy stanowcze NIE

Revision 1.45  2003/10/05 22:35:02  gausus
- polish description cosmetics

Revision 1.44  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.43  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/01/16 23:27:34  qboosh
- added from-kgicon patch (more accel info, devfs support - taken from kgicon)
- release 22

Revision 1.41  2002/11/27 19:36:46  juandon
- new %doc

Revision 1.40  2002/07/22 16:03:12  qboosh
- fbset moved to /usr/bin - it can be used by regular users logged on console
- release 21

Revision 1.39  2002/05/12 22:50:48  qboosh
- added custom fb.modes - combined of fb.modes.ATI and kernel modedb
- added modeline2fb utility (_noautoreq - fbset shouldn't depend on perl...)
- release 20

Revision 1.38  2002/04/25 16:17:29  arturs
- fixed a small typo

Revision 1.37  2002/03/05 19:59:15  qboosh
- allow override console list by FBTERMINALS in sysconfig
- release 19

Revision 1.36  2002/03/03 08:23:18  filon
- fixed init (my fault...)
- release 18

Revision 1.35  2002/02/28 17:16:10  filon
- added FBDEV_NUM to sysconfig (eg. 0 for /dev/fb0, or /dev/fb/0)
- use FBDEV_NUM in initscript (with default 0)
- partialy rewrite initscript, unify devfs/non-devfs code, cosmetics
- release 17

Revision 1.34  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/02/17 03:53:01  kloczek
- adpaterized.

Revision 1.32  2002/02/15 22:36:50  qboosh
- run just before console (running after console caused resetting font)
- release 16

Revision 1.31  2002/02/12 01:33:46  blues
- URLs updated
- adapterized

Revision 1.30  2002/02/12 00:11:18  blues
- release 15
- new in init-scripts:
  - DEPTH option
  - restart-all option - set resolution on all consoles
  - better stop
  STB

Revision 1.29  2002/01/26 08:50:51  kloczek
- release 14.

Revision 1.28  2002/01/24 06:05:00  kloczek
- relase 13.

Revision 1.27  2002/01/22 20:30:12  qboosh
- fixed - both bison and flex are BRed

Revision 1.26  2002/01/22 19:59:41  michuz
- fixed BR

Revision 1.25  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/24 02:13:32  kloczek
- reelase 12.

Revision 1.23  2001/11/23 17:05:30  gotar
- added Requires: sed.

Revision 1.22  2001/11/07 15:02:31  filon
- removed echo a - was there for test, release 11

Revision 1.21  2001/11/07 09:35:07  filon
- improved loading kernel module, release 10

Revision 1.20  2001/11/06 20:36:43  filon

- changed fbset.init (and fbset.sysconfig):
- fix for devfs without compatibilty devices
- use of FBMODULE variable to load specified kernel module,
  when fb in not present in kernel
  (using rc.modules looks awful, when bootng first we see some text in textmode,
  then switch to 640x480, becouse mode couldnt be set when loading module, and
  get some text on then screen and finaly swicht to FBMODE_default, argh...)
- release 9

Revision 1.19  2001/09/24 12:30:34  qboosh
- Prereq: /sbin/chkconfig

Revision 1.18  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/05/22 02:32:55  kloczek
- relase 8,
- merge fixmode rawhide patch,
- added flex to BuildRequires,
- fix passing $RPM_OPT_FLAGS.

Revision 1.15  2001/04/30 16:05:17  kloczek
- added using %{rpmcflags} macro.

Revision 1.14  2001/01/25 20:03:23  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2001/01/05 21:29:16  kloczek
- release 7 (for allow upgrade from RH version),
- spec adapterized.

Revision 1.12  2001/01/05 21:24:46  kloczek
- make spec %{debug} ready.

Revision 1.11  2001/01/05 19:12:09  michuz
- in %files s/man8/man*

Revision 1.10  2001/01/05 19:07:25  michuz
- updated Group
- removed man compress

Revision 1.9  2000/08/08 16:23:00  dobrek
- updated to 2.1

Revision 1.8  2000/08/03 11:48:19  wrobell
- requires open package

Revision 1.7  2000/06/09 07:22:49  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/30 22:49:03  wiget
- typo

Revision 1.5  2000/05/18 20:00:13  kloczek
- spec adapterized,
- removed /dev/* entries (all is in dev package).

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/01/09 17:18:08  qnex
- Zmieniłem fbset, żeby działał na podobnej zasadzie jak hdparm, tzn. podczas
  startu systemu ustawiał tryby graficzne globalnie i dodatkowo dla każdej
  konsoli z osobna (jeśli jest zdefiniowane).

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw
